#!/bin/sh

if [ "$DBHOME" = "" ]
then
  echo "Type the path of db2 home [/home/db2inst1]"
  read DBHOME
  if [ "$DBHOME" = "" ]
  then
    DBHOME=/home/db2inst1
  fi
fi


if [ "$DBNAME" = "" ]
then
  echo "Type the name of the database [WAS]"
  read DBNAME
  if [ "$DBNAME" = "" ]
  then
    DBNAME=WAS
  fi
fi


if [ ! -d $DBHOME/sqllib ]
then
  echo "Create a db2 instance by executing <db2_install_root>/instance/db2icrt"
  echo "Create symbolic links by executing <db2_install_root>/cfg/db2ln"
  echo "Then run this script again"
  exit 2
else
  . $DBHOME/sqllib/db2profile
fi

db2 "CREATE DATABASE $DBNAME"
db2 "UPDATE DB CFG FOR $DBNAME USING APPLHEAPSZ 256"

exit 0
